Runtime

## org.eclipse.gmf.runtime.emf.ui.services.modelingassistant
Class GetTypesForPopupBarOperation

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.GetTypesForPopupBarOperation

All Implemented Interfaces:
  IModelingAssistantOperation, IOperation

public class GetTypesForPopupBarOperation
extends java.lang.Object
implements IModelingAssistantOperation

The operation used with the modeling assistant service that gets the type of elements that can be created from an action bar.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.ui.services.modelingassistant.IModelingAssistantOperation
`GET_REL_TYPES_FOR_SRE_ON_SOURCE_ID, GET_REL_TYPES_FOR_SRE_ON_TARGET_ID, GET_REL_TYPES_ON_SOURCE_AND_TARGET_ID, GET_REL_TYPES_ON_SOURCE_ID, GET_REL_TYPES_ON_TARGET_ID, GET_TYPES_FOR_POPUP_BAR_ID, GET_TYPES_FOR_SOURCE_ID, GET_TYPES_FOR_TARGET_ID, GET_TYPES_ID, SELECT_EXISTING_ELEMENT_FOR_SOURCE_ID, SELECT_EXISTING_ELEMENT_FOR_TARGET_ID`

Constructor Summary
`protected` `GetTypesForPopupBarOperation(IAdaptable host)` Creates a new `GetTypesForPopupBarOperation`.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IAdaptable` `getContext()` Returns the host.
`IAdaptable` `getHost()`
`java.lang.String` `getId()` Returns the id string to match that specified in the plugin.xml for deferred loading.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetTypesForPopupBarOperation

    protected GetTypesForPopupBarOperation(IAdaptable host)

  Creates a new `GetTypesForPopupBarOperation`.

Parameters:
  `host` - the host: adapts to editpart, view, element, etc.

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `IModelingAssistantOperation`
  Returns the id string to match that specified in the plugin.xml for deferred loading.

  Specified by:
    `getId` in interface `IModelingAssistantOperation`
  Returns:
    the id string

### getContext

    public IAdaptable getContext()

  Returns the host. This is what will be used to assist in delayed loading of a modeling assistant provider.

  Specified by:
    `getContext` in interface `IModelingAssistantOperation`
  Returns:
    the context object

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getHost

    public final IAdaptable getHost()

  Returns:
    Returns the host that is to have an action bar displayed on it.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.